/**
 *************************************************************************************
 * [标题：ExmayUI JQuery Parser 插件]<br>
 *************************************************************************************
 * [描述：ExmayUI JQuery Parser 插件]<br>
 *************************************************************************************
 * @author Exmay Team / 亿美团队
 *************************************************************************************
 * @version Version 1.0.1 Beta / v1.0.1 测试版
 *************************************************************************************
 */

/*
 * ***********************************************************************************
 * 版权：Copyright © 2012 Exmay Inc. All Rights Reserved. 长沙亿美软件有限公司　版权所有
 * ***********************************************************************************
 * 企业文化：专注　创新　分享　共赢
 * ***********************************************************************************
 * 官方网站：http://www.exmay.com
 * ***********************************************************************************
 * 官方邮箱：service@exmay.com
 * ***********************************************************************************
 */

(function($) {
	
	$.exmayParser = {
		parse : function(target) {
			if ($.exmayParser.defaults.auto) {
				var $target;
				// 亿美面板
				$target = $(".exmayui-panel", target);
				if ($target.length) {
					$target.exmayPanel();
				}
				// 亿美选项卡
				$target = $(".exmayui-tabs", target);
				if ($target.length) {
					$target.exmayTabs();
				}
				// 亿美窗口 (窗口Window必须放在面板Panel后面，选项卡Tas前面)
				$target = $(".exmayui-window", target);
				if ($target.length) {
					$target.exmayWindow();
				}
				// 亿美对话框
				$target = $(".exmayui-dialog", target);
				if ($target.length) {
					$target.exmayDialog();
				}
				// 亿美按钮
				$target = $(".exmayui-button", target);
				if ($target.length) {
					$target.exmayButton();
				}
				// 亿美菜单
				$target = $(".exmayui-menu", target);
				if ($target.length) {
					$target.exmayMenu();
				}
				// 亿美树
				$target = $(".exmayui-tree", target);
				if ($target.length) {
					$target.exmayTree();
				}
				// 亿美下拉选框
				$target = $(".exmayui-combobox", target);
				if ($target.length) {
					$target.exmayCombobox();
				}
				// 亿美复选框[复选框Checkbox必须在菜单Menu后面]
				$target = $(".exmayui-checkbox", target);
				if($target.length) {
					$target.exmayCheckbox();
				}
				// 全选
				$target = $(".exmayui-checkbox-all", target);
				if($target.length) {
					$target.exmayCheckbox();
				}
				// 反选
				$target = $(".exmayui-checkbox-invert", target);
				if($target.length) {
					$target.exmayCheckbox();
				}
				// 亿美单选框
				$target = $(".exmayui-radio", target);
				if ($target.length) {
					$target.exmayRadio();
				}
				// 亿美可选择
				$target = $(".exmayui-selectable", target);
				if ($target.length) {
					$target.exmaySelectable();
				}
				$target = $(".exmayui-selector", target);
				if ($target.length) {
					$target.exmaySelector();
				}
				// 亿美富文本编辑器
				$target = $(".exmayui-editor", target);
				if ($target.length) {
					$target.exmayEditor();
				}
				// 亿美校验器
				$target = $(".exmayui-validator", target);
				if ($target.length) {
					$target.exmayValidator();
				}
				$target = $(".exmayui-validator-length", target);
				if ($target.length) {
					$target.exmayValidator("verifyLength");
				}
				// 亿美时间
				$target = $(".exmayui-date", target);
				if ($target.length) {
					$target.exmayDate();
				}
				// 亿美文本框
				$target = $(".exmayui-textbox", target);
				if ($target.length) {
					$target.exmayTextbox();
				}
				
			}
		},		
		onComplete : function(fn) {
		}
	};
	
	$.exmayParser.defaults = {
		auto : true,
		onComplete : function(fn) {
		}
	};
	
	$(function() {
		$.exmayParser.parse();
	});
	
})(jQuery);